curl --request PATCH \
--url https://aodocs.altirnao.com/api/domain/v1beta1/roles/{roleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aclEntries": [
{
"addedBy": "<string>",
"addedTime": "2023-11-07T05:31:56Z",
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"privileges": {}
}
'import requests
url = "https://aodocs.altirnao.com/api/domain/v1beta1/roles/{roleId}"
payload = {
"aclEntries": [
{
"addedBy": "<string>",
"addedTime": "2023-11-07T05:31:56Z",
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"privileges": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aclEntries: [
{
addedBy: '<string>',
addedTime: '2023-11-07T05:31:56Z',
classId: '<string>',
className: '<string>',
description: '<string>',
displayName: '<string>',
displayName_i18n: '<string>',
thumbnailPictureUrl: '<string>',
value: '<string>'
}
],
description: '<string>',
id: '<string>',
kind: '<string>',
name: '<string>',
name_i18n: '<string>',
privileges: {}
})
};
fetch('https://aodocs.altirnao.com/api/domain/v1beta1/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aclEntries": [
{
"addedBy": "<string>",
"addedTime": "2023-11-07T05:31:56Z",
"classId": "<string>",
"className": "<string>",
"description": "<string>",
"displayName": "<string>",
"displayName_i18n": "<string>",
"thumbnailPictureUrl": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"name_i18n": "<string>",
"privileges": {}
}Patch domainv1beta1roles
Updates a domain role (keep existing values for not specified fields).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the role
Body
The list of user/group/field members of the role
Show child attributes
Show child attributes
The description of the role
The ID of the role (read-only field)
The name of the role
The internationalized name of the role (read-only field)
The list of privileges belonging to predefined role types (read-only field)
Show child attributes
Show child attributes
The type of role in the library: LIBRARY (administrators, contributors, readers), DOCUMENT (document creator, version creator), CUSTOM for any role created manually (including predefined roles) (read-only field)
LIBRARY, DOCUMENT, PREDEFINED, CUSTOM Response
A ApiDomainRole response
The list of user/group/field members of the role
Show child attributes
Show child attributes
The description of the role
The ID of the role (read-only field)
The name of the role
The internationalized name of the role (read-only field)
The list of privileges belonging to predefined role types (read-only field)
Show child attributes
Show child attributes
The type of role in the library: LIBRARY (administrators, contributors, readers), DOCUMENT (document creator, version creator), CUSTOM for any role created manually (including predefined roles) (read-only field)
LIBRARY, DOCUMENT, PREDEFINED, CUSTOM